{"openapi":"3.0.1","info":{"title":"6Storage API","description":"# Introduction\nThe 6Storage API is built on HTTP with RESTful standards.  It has predictable\nresource URLs.  It returns HTTP response codes to indicate errors.  It also\naccepts and returns JSON in the HTTP body.\n\n\n# Authentication\nYou can generate API keys, and delete API keys (as you may\nneed to rotate your keys in the future). You authenticate to the\n6Storage API by providing your API key in the request Authorization header.\n\n6Storage offers bearer token authentication: - BEARER Token: authenticates each request by the HTTP header: Authorization. \n\nEx. ```Authorization: Bearer<SPACE><TOKEN>```\n\nNever share your API keys. Keep them guarded and secure.\n\n\n","termsOfService":"https://www.6storage.com/termsofservice/","contact":{"name":"6Storage Support","url":"https://www.6storage.com/","email":"support@6storage.com"},"license":{"name":"6Storage","url":"https://www.6storage.com/privacypolicy/"},"version":"1.0","x-logo":{"url":"https://www.6storage.com/img/website-logo-6storage.png","backgroundColor":"#FFFFFF","altText":"6Storage Logo"}},"servers":[{"url":"https://api.8storage.com/","description":"Sandbox Server"},{"url":"https://api.6storage.com/","description":"Production Server"}],"paths":{"/v1/cards/details/{tenantId}":{"get":{"tags":["Cards"],"summary":"Credit Card List","parameters":[{"name":"tenantId","in":"path","description":"Unique identifier of a Tenant who's cards on file to be retrieved. Unique identifier can be fetched from the users api.","required":true,"schema":{"type":"string","description":"Unique identifier of a Tenant who's cards on file to be retrieved. Unique identifier can be fetched from the users api.","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Gets the list of credits cards available for a tenant using unique id of the Tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditCardInfoMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/cards/ach-details/{tenantId}":{"get":{"tags":["Cards"],"summary":"ACH/Direct debit List","parameters":[{"name":"tenantId","in":"path","description":"Unique identifier of a Tenant who's cards on file to be retrieved. Unique identifier can be fetched from the users api.","required":true,"schema":{"type":"string","description":"Unique identifier of a Tenant who's cards on file to be retrieved. Unique identifier can be fetched from the users api.","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Gets the list of ACH details available for a tenant using unique id of the Tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreditCardInfoMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/cards/add/form/{tenantId}":{"post":{"tags":["Cards"],"summary":"Card Authorization","parameters":[{"name":"tenantId","in":"path","description":"Unique identifier of a Tenant who's card must be authorized by the card issuer before saved. Unique identifier can be fetched from the users api.","required":true,"schema":{"type":"string","description":"Unique identifier of a Tenant who's card must be authorized by the card issuer before saved. Unique identifier can be fetched from the users api.","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"description":"<code>\r\n            Platform: Can be WEB, IOS OR ANDROID. Default WEB.\r\n            HostURL: Is required if Platform is set to WEB. This is the web address of referrer.\r\n            </code>","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentFormAuthParam"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentFormAuthParam"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentFormAuthParam"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentFormAuthParam"}}}},"responses":{"200":{"description":"Gives a form link to authorize Tenant's card.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/cards/delete/{tenantId}/{cardId}":{"post":{"tags":["Cards"],"summary":"Delete Card","parameters":[{"name":"tenantId","in":"path","description":"Unique identifier of a Tenant who's card must be deleted. Unique identifier can be fetched from the users api.","required":true,"schema":{"type":"string","description":"Unique identifier of a Tenant who's card must be deleted. Unique identifier can be fetched from the users api.","format":"uuid"}},{"name":"cardId","in":"path","description":"Unique identifier of a card on file of a Tenant. Unique identifier can be fetched from the cards api.","required":true,"schema":{"type":"string","description":"Unique identifier of a card on file of a Tenant. Unique identifier can be fetched from the cards api.","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DeleteCardRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/DeleteCardRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/DeleteCardRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DeleteCardRequest"}}}},"responses":{"200":{"description":"Removes card on file.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BooleanSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/cards/makedefault/{tenantId}/{cardId}":{"post":{"tags":["Cards"],"summary":"Make Default","parameters":[{"name":"tenantId","in":"path","description":"Unique identifier of a Tenant who’s specific card details to be made default. Unique identifier can be fetched from the users api.","required":true,"schema":{"type":"string","description":"Unique identifier of a Tenant who’s specific card details to be made default. Unique identifier can be fetched from the users api.","format":"uuid"}},{"name":"cardId","in":"path","description":"Unique identifier of a card on file of a Tenant. Unique identifier can be fetched from the cards api.","required":true,"schema":{"type":"string","description":"Unique identifier of a card on file of a Tenant. Unique identifier can be fetched from the cards api.","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/MakeDefaultCardRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/MakeDefaultCardRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/MakeDefaultCardRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/MakeDefaultCardRequest"}}}},"responses":{"200":{"description":"Makes card as default card.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BooleanSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/cards/autopay/activate/{tenantId}":{"post":{"tags":["Cards"],"summary":"Activate Automatic Paymets","parameters":[{"name":"tenantId","in":"path","description":"Unique identifier of a Tenant who’s automatic payments to be activated. Unique identifier can be fetched from the users api.","required":true,"schema":{"type":"string","description":"Unique identifier of a Tenant who’s automatic payments to be activated. Unique identifier can be fetched from the users api.","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/AutoPaymentActivationRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/AutoPaymentActivationRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/AutoPaymentActivationRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AutoPaymentActivationRequest"}}}},"responses":{"200":{"description":"Returns true, Activates tenant autopayments using the default card.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BooleanSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/cards/autopay/deactivate/{tenantId}":{"post":{"tags":["Cards"],"summary":"Deactivate Automatic Paymets","parameters":[{"name":"tenantId","in":"path","description":"Unique identifier of a Tenant who’s automatic payments to be deactivated. Unique identifier can be fetched from the users api.","required":true,"schema":{"type":"string","description":"Unique identifier of a Tenant who’s automatic payments to be deactivated. Unique identifier can be fetched from the users api.","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/AutoPaymentActivationRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/AutoPaymentActivationRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/AutoPaymentActivationRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AutoPaymentActivationRequest"}}}},"responses":{"200":{"description":"Returns true, Deactivates tenant autopayments using the default card.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BooleanSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/common/leadSource":{"get":{"tags":["Common"],"summary":"Lead Sources","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns lead sources available.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeadMasterAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/common/identityTypes":{"post":{"tags":["Common"],"summary":"Identity Types","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/IdentityTypesSearchParam"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdentityTypesSearchParam"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdentityTypesSearchParam"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/IdentityTypesSearchParam"}}}},"responses":{"200":{"description":"Returns list of Identity Types available.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IdentityTypeAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/common/terms":{"get":{"tags":["Common"],"summary":"Terms and Conditions","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns list of Terms and Conditions available.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsAndConditionsAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/common/site/details":{"get":{"tags":["Common"],"summary":"Account Details","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns Account Details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SiteDetailsReponseSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/common/payment-modes":{"get":{"tags":["Common"],"summary":"Payment modes","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentModesRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentModesRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentModesRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentModesRequest"}}}},"responses":{"200":{"description":"Returns list of payment modes.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentModeResponseMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/common/announcements":{"get":{"tags":["Common"],"summary":"Announcements","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns list of announcements.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnnouncementsResponseMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/discounts":{"post":{"tags":["Discounts"],"summary":"Discounts","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DiscountSearchRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/DiscountSearchRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/DiscountSearchRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DiscountSearchRequest"}}}},"responses":{"200":{"description":"Returns all available discounts.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscountInfoDtoMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/lead":{"post":{"tags":["Leads"],"summary":"Add Lead","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/AddLeadRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/AddLeadRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/AddLeadRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/AddLeadRequest"}}}},"responses":{"200":{"description":"Returns added lead Id.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/rent/calculation":{"post":{"tags":["MoveIn"],"summary":"Rent Calculation","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UnitRentInfoParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UnitRentInfoParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UnitRentInfoParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UnitRentInfoParamAPIModel"}}}},"responses":{"200":{"description":"Returns rental calculation of the selected units.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitRentInfoAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/lease/calculation":{"post":{"tags":["MoveIn"],"summary":"Lease Calculation","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/LeaseCalculationUnitsParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/LeaseCalculationUnitsParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/LeaseCalculationUnitsParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/LeaseCalculationUnitsParamAPIModel"}}}},"responses":{"200":{"description":"Returns final lease calculation of the selected units and addons.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeaseInfoAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/{profileId}":{"post":{"tags":["MoveIn"],"summary":"Movein","parameters":[{"name":"profileId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/MoveInParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/MoveInParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/MoveInParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/MoveInParamAPIModel"}}}},"responses":{"200":{"description":"Returns list of lease ids of rented units.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Int64MultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/preview/{profileId}":{"post":{"tags":["MoveIn"],"summary":"Preview Movein","parameters":[{"name":"profileId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/LeaseInfoAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/LeaseInfoAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/LeaseInfoAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/LeaseInfoAPIModel"}}}},"responses":{"200":{"description":"Returns list of lease agreement preview for the selected units.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PreviewMoveinAPIModelSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/paymentform/{profileId}":{"post":{"tags":["MoveIn"],"summary":"Movein Payment Form","parameters":[{"name":"profileId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentChargeAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentChargeAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentChargeAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentChargeAPIModel"}}}},"responses":{"200":{"description":"Returns payment form link that can be used to make payment and save the card for future transactions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/identityDocumentFile":{"post":{"tags":["MoveIn"],"summary":"Add Identity Document","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"Id":{"type":"string","format":"uuid","nullable":true},"LeaseProfileId":{"type":"string","format":"uuid"},"FileType":{"type":"string","nullable":true},"Files":{"type":"array","items":{"type":"string","format":"binary"},"nullable":true},"FileName":{"type":"string","nullable":true}}},"encoding":{"Id":{"style":"form"},"LeaseProfileId":{"style":"form"},"FileType":{"style":"form"},"Files":{"style":"form"},"FileName":{"style":"form"}}}}},"responses":{"200":{"description":"Returns id of the added identity document during movein process. Once move-in api called then this will be assigned to the tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/identityDocumentFile/{id}":{"post":{"tags":["MoveIn"],"summary":"Edit Identity Document","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"Id":{"type":"string","format":"uuid","nullable":true},"LeaseProfileId":{"type":"string","format":"uuid"},"FileType":{"type":"string","nullable":true},"Files":{"type":"array","items":{"type":"string","format":"binary"},"nullable":true},"FileName":{"type":"string","nullable":true}}},"encoding":{"Id":{"style":"form"},"LeaseProfileId":{"style":"form"},"FileType":{"style":"form"},"Files":{"style":"form"},"FileName":{"style":"form"}}}}},"responses":{"200":{"description":"Returns id of the edited identity document during movein process. Once move-in api called then this will be assigned to the tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}},"delete":{"tags":["MoveIn"],"summary":"Delete Identity Document","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns true if the identity document deleted during movein process. Once move-in api called then this will be assigned to the tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BooleanSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/identityDocumentDetails/{leaseProfileId}":{"post":{"tags":["MoveIn"],"summary":"Add Identity Details","parameters":[{"name":"leaseProfileId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/IdentityDocumentInfoAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/IdentityDocumentInfoAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/IdentityDocumentInfoAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/IdentityDocumentInfoAPIModel"}}}},"responses":{"200":{"description":"Returns id of the edited Identity Details during movein process. Once move-in api called then this will be assigned to the tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/leaseProfile":{"post":{"tags":["MoveIn"],"summary":"Add Tenant Information","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModel"}}}},"responses":{"200":{"description":"Returns id of the added Tenant Information during movein process. Once move-in api called then this will be assigned to the tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/leaseProfiles/{userId}":{"get":{"tags":["MoveIn"],"summary":"Get Tenant Profiles","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns list of Tenant Profiles.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/leaseProfile/{id}":{"get":{"tags":["MoveIn"],"summary":"Get Tenant Lease Profile By ID","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns tenant lease profile.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModelSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}},"post":{"tags":["MoveIn"],"summary":"Edit Tenant Information","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/LeaseProfileAPIModel"}}}},"responses":{"200":{"description":"Returns id of the edited Tenant Information during movein process. Once move-in api called then this will be assigned to the tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/movein/lease/{tenantId}":{"post":{"tags":["MoveIn"],"summary":"Get Leases For A Tenant","description":"Get all the leases of a tenant with due information and status of the rented units.","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string","format":"uuid","nullable":true}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/LeaseDetailsParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/LeaseDetailsParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/LeaseDetailsParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/LeaseDetailsParamAPIModel"}}}},"responses":{"200":{"description":"Returns list of leases/rented units information of a tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitLeaseDetailsAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/moveout/scheduleMoveOut/{leaseId}":{"post":{"tags":["MoveOut"],"summary":"Schedule Moveout","parameters":[{"name":"leaseId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ScheduleMoveOutInfoParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/ScheduleMoveOutInfoParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/ScheduleMoveOutInfoParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ScheduleMoveOutInfoParamAPIModel"}}}},"responses":{"200":{"description":"Returns true if the moveout scheduled for the selected date.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BooleanMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/moveout/cancel/{leaseId}/{tenantId}":{"post":{"tags":["MoveOut"],"summary":"Cancel Schedule Moveout","parameters":[{"name":"leaseId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"tenantId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/CancelSheduledMoveoutRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/CancelSheduledMoveoutRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/CancelSheduledMoveoutRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CancelSheduledMoveoutRequest"}}}},"responses":{"200":{"description":"Returns true if the moveout schedule is canceled for the selected date.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BooleanMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/reservation":{"post":{"tags":["Reservation"],"summary":"Add Reservation","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ReservationRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/ReservationRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/ReservationRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ReservationRequest"}}}},"responses":{"200":{"description":"Returns list of reservation ids for the selected units after successful reservation.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/reservation/units":{"post":{"tags":["Reservation"],"summary":"Reservation Units Information","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ReservationUnitInfo"}},"application/json":{"schema":{"$ref":"#/components/schemas/ReservationUnitInfo"}},"text/json":{"schema":{"$ref":"#/components/schemas/ReservationUnitInfo"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ReservationUnitInfo"}}}},"responses":{"200":{"description":"Returns list of reservation units information for the selected untis.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitReservationRequestAPIModelSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/reservation/payment":{"post":{"tags":["Reservation"],"summary":"Reseration Payment Form","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/ReservationPaymentRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/ReservationPaymentRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/ReservationPaymentRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ReservationPaymentRequest"}}}},"responses":{"200":{"description":"Returns payment form link for collecting reservation payment if the reservation payment is enabled.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/storagetype":{"post":{"tags":["Unit"],"summary":"Storage Types","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}}}},"responses":{"200":{"description":"Returns list of available storage types.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorageTypeMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/building":{"post":{"tags":["Unit"],"summary":"Buildings","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}}}},"responses":{"200":{"description":"Returns list of available buildings.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitBuildingMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/location":{"post":{"tags":["Unit"],"summary":"Locations","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UnitSearchParamAPIModel"}}}},"responses":{"200":{"description":"Returns list of available Locations.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitLocationMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/type":{"post":{"tags":["Unit"],"summary":"Unit Types","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UnitTypeSearchParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UnitTypeSearchParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UnitTypeSearchParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UnitTypeSearchParamAPIModel"}}}},"responses":{"200":{"description":"Returns list of available Unit Types.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitTypeMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/type/price":{"post":{"tags":["Unit"],"summary":"Unit Types With Prices","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UnitTypeSearchParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UnitTypeSearchParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UnitTypeSearchParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UnitTypeSearchParamAPIModel"}}}},"responses":{"200":{"description":"Returns list of available Unit Types and their prices.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitTypeWithPriceMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/search":{"post":{"tags":["Unit"],"summary":"Units Search","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UnitInfoSearchParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UnitInfoSearchParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UnitInfoSearchParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UnitInfoSearchParamAPIModel"}}}},"responses":{"200":{"description":"Returns list of available Units.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitSearchInfoAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/unitsInfoById":{"post":{"tags":["Unit"],"summary":"Unit Information By Uniqueidentifier","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UnitDeatilsSearchParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UnitDeatilsSearchParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UnitDeatilsSearchParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UnitDeatilsSearchParamAPIModel"}}}},"responses":{"200":{"description":"Returns Unit information by Id.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitSearchInfoWithAddOnsAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/status":{"get":{"tags":["Unit"],"summary":"Unit Status","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns list of available Unit Status.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnitStatusAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/invoicePeriods":{"get":{"tags":["Unit"],"summary":"Invoice Periods","parameters":[{"name":"portalVisibilityId","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns list of available Access Invoice periods.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvoicePeriodAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/invoice/{tenantId}":{"get":{"tags":["Unit"],"summary":"Invoices","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns list of Invoices for a tenant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InvoiceInfoAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/payment/{tenantId}":{"post":{"tags":["Unit"],"summary":"Payment","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentParamAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentParamAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentParamAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentParamAPIModel"}}}},"responses":{"200":{"description":"Returns SUCCESS if the payment is updated successfully for the selected invoice ids.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/discount":{"post":{"tags":["Unit"],"summary":"Unit Discounts","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DiscountSearchParam"}},"application/json":{"schema":{"$ref":"#/components/schemas/DiscountSearchParam"}},"text/json":{"schema":{"$ref":"#/components/schemas/DiscountSearchParam"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DiscountSearchParam"}}}},"responses":{"200":{"description":"Returns list of discounts for the selected unit ids.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscountsMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/unit/discount/promocode":{"post":{"tags":["Unit"],"summary":"Promo Discount Information","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/DiscountPromoSearchParam"}},"application/json":{"schema":{"$ref":"#/components/schemas/DiscountPromoSearchParam"}},"text/json":{"schema":{"$ref":"#/components/schemas/DiscountPromoSearchParam"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/DiscountPromoSearchParam"}}}},"responses":{"200":{"description":"Returns Promo Discount Information if the promocode is valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiscountsSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user":{"post":{"tags":["User"],"summary":"Users List","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UsersRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/UsersRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/UsersRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UsersRequest"}}}},"responses":{"200":{"description":"Returns list of available users for the storage.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDetailsOnSearchAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/{userId}":{"get":{"tags":["User"],"summary":"User Details","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns user information for the selected tenantid/userId.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/signup":{"post":{"tags":["User"],"summary":"User Sign-Up","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UserSignUpAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserSignUpAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserSignUpAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserSignUpAPIModel"}}}},"responses":{"200":{"description":"Returns user id of the signed up user.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/UpdateProfile/{userId}":{"post":{"tags":["User"],"summary":"Update user profile","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UserUpdateAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserUpdateAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserUpdateAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserUpdateAPIModel"}}}},"responses":{"200":{"description":"Returns user id of the updated user.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/login":{"post":{"tags":["User"],"summary":"User Login","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UserLoginAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserLoginAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserLoginAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserLoginAPIModel"}}}},"responses":{"200":{"description":"Returns user information if the user is authenticated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserLoginResponseAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/password/{userId}/update":{"post":{"tags":["User"],"summary":"User Password Update","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UserPasswordAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserPasswordAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserPasswordAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserPasswordAPIModel"}}}},"responses":{"200":{"description":"Returns SUCCESS if the user is authenticated and password is updated successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/password/forgot":{"post":{"tags":["User"],"summary":"Forgot user password","parameters":[{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UserForgotPasswordAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserForgotPasswordAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserForgotPasswordAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserForgotPasswordAPIModel"}}}},"responses":{"200":{"description":"Returns SUCCESS if the user is authenticated and password is sent successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/paymentform/{userId}":{"post":{"tags":["User"],"summary":"User Payment Form","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/PaymentChargeAPIModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/PaymentChargeAPIModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/PaymentChargeAPIModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/PaymentChargeAPIModel"}}}},"responses":{"200":{"description":"Returns payment form link to get the unpaid invoices payment.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StringSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/statement/{userId}":{"post":{"tags":["User"],"summary":"Send Statement","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/UserSendStatementRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/UserSendStatementRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/UserSendStatementRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/UserSendStatementRequest"}}}},"responses":{"200":{"description":"Returns SUCCESS once the statement is sent to selected user.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/transactions/{userId}":{"get":{"tags":["User"],"summary":"User Transactions","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns list of transactions made for a user.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantTransactionInfoAPIModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/documents/{userId}":{"get":{"tags":["User"],"summary":"User Documents","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns list of documents available for a user.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentsResponseModelMultiResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}},"post":{"tags":["User"],"summary":"Upload User Document","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"FileName":{"type":"string","nullable":true},"FileData":{"type":"string","format":"binary","nullable":true},"Logger.BrowserName":{"type":"string","nullable":true},"Logger.IpAddress":{"type":"string","nullable":true},"Logger.LocationInfo.Address.CommonName":{"type":"string","nullable":true},"Logger.LocationInfo.Address.StreetNumber":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Street":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Route":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Neighborhood":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Town":{"type":"string","nullable":true},"Logger.LocationInfo.Address.City":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Region":{"type":"string","nullable":true},"Logger.LocationInfo.Address.PostalCode":{"type":"string","nullable":true},"Logger.LocationInfo.Address.State":{"type":"string","nullable":true},"Logger.LocationInfo.Address.StateCode":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Country":{"type":"string","nullable":true},"Logger.LocationInfo.Address.CountryCode":{"type":"string","nullable":true},"Logger.LocationInfo.Timestamp":{"type":"integer","format":"int64"},"Logger.LocationInfo.Flag":{"type":"string","nullable":true},"Logger.LocationInfo.FormattedAddress":{"type":"string","nullable":true}}},"encoding":{"FileName":{"style":"form"},"FileData":{"style":"form"},"Logger.BrowserName":{"style":"form"},"Logger.IpAddress":{"style":"form"},"Logger.LocationInfo.Address.CommonName":{"style":"form"},"Logger.LocationInfo.Address.StreetNumber":{"style":"form"},"Logger.LocationInfo.Address.Street":{"style":"form"},"Logger.LocationInfo.Address.Route":{"style":"form"},"Logger.LocationInfo.Address.Neighborhood":{"style":"form"},"Logger.LocationInfo.Address.Town":{"style":"form"},"Logger.LocationInfo.Address.City":{"style":"form"},"Logger.LocationInfo.Address.Region":{"style":"form"},"Logger.LocationInfo.Address.PostalCode":{"style":"form"},"Logger.LocationInfo.Address.State":{"style":"form"},"Logger.LocationInfo.Address.StateCode":{"style":"form"},"Logger.LocationInfo.Address.Country":{"style":"form"},"Logger.LocationInfo.Address.CountryCode":{"style":"form"},"Logger.LocationInfo.Timestamp":{"style":"form"},"Logger.LocationInfo.Flag":{"style":"form"},"Logger.LocationInfo.FormattedAddress":{"style":"form"}}}}},"responses":{"200":{"description":"Returns document information of created document for a user.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentsResponseModelSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/profile/picture/{userId}":{"post":{"tags":["User"],"summary":"Upload User Profile Picture","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"FileName":{"type":"string","nullable":true},"FileData":{"type":"string","format":"binary","nullable":true},"Logger.BrowserName":{"type":"string","nullable":true},"Logger.IpAddress":{"type":"string","nullable":true},"Logger.LocationInfo.Address.CommonName":{"type":"string","nullable":true},"Logger.LocationInfo.Address.StreetNumber":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Street":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Route":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Neighborhood":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Town":{"type":"string","nullable":true},"Logger.LocationInfo.Address.City":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Region":{"type":"string","nullable":true},"Logger.LocationInfo.Address.PostalCode":{"type":"string","nullable":true},"Logger.LocationInfo.Address.State":{"type":"string","nullable":true},"Logger.LocationInfo.Address.StateCode":{"type":"string","nullable":true},"Logger.LocationInfo.Address.Country":{"type":"string","nullable":true},"Logger.LocationInfo.Address.CountryCode":{"type":"string","nullable":true},"Logger.LocationInfo.Timestamp":{"type":"integer","format":"int64"},"Logger.LocationInfo.Flag":{"type":"string","nullable":true},"Logger.LocationInfo.FormattedAddress":{"type":"string","nullable":true}}},"encoding":{"FileName":{"style":"form"},"FileData":{"style":"form"},"Logger.BrowserName":{"style":"form"},"Logger.IpAddress":{"style":"form"},"Logger.LocationInfo.Address.CommonName":{"style":"form"},"Logger.LocationInfo.Address.StreetNumber":{"style":"form"},"Logger.LocationInfo.Address.Street":{"style":"form"},"Logger.LocationInfo.Address.Route":{"style":"form"},"Logger.LocationInfo.Address.Neighborhood":{"style":"form"},"Logger.LocationInfo.Address.Town":{"style":"form"},"Logger.LocationInfo.Address.City":{"style":"form"},"Logger.LocationInfo.Address.Region":{"style":"form"},"Logger.LocationInfo.Address.PostalCode":{"style":"form"},"Logger.LocationInfo.Address.State":{"style":"form"},"Logger.LocationInfo.Address.StateCode":{"style":"form"},"Logger.LocationInfo.Address.Country":{"style":"form"},"Logger.LocationInfo.Address.CountryCode":{"style":"form"},"Logger.LocationInfo.Timestamp":{"style":"form"},"Logger.LocationInfo.Flag":{"style":"form"},"Logger.LocationInfo.FormattedAddress":{"style":"form"}}}}},"responses":{"200":{"description":"Returns SUCCESS if the profile picture is uploaded Successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DocumentsResponseModelSingleResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}},"/v1/user/profile/picture/remove/{userId}":{"get":{"tags":["User"],"summary":"Delete User Profile Picture","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Content-Language","in":"header","description":"Select Content-Language","schema":{"enum":["ar-SA","cs-CZ","da-DK","nl-NL","en-US","fi-FI","fr-FR","de-DE","it-IT","nb-No","pl-PL","ro-RO","ru-RU","sk-SK","es-ES","sv-SE"],"type":"string","description":"Select Content-Language","default":"en-US"}}],"responses":{"200":{"description":"Returns SUCCESS if the profile picture is removed Successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Response"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Auth token is invalid or empty.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GuidSingleResponse"}}}}}}}},"components":{"schemas":{"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}},"GuidSingleResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"string","format":"uuid"}},"additionalProperties":false},"CreditCardInfo":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"customerId":{"type":"string","format":"uuid"},"customerName":{"type":"string","nullable":true},"cardNumber":{"type":"string","nullable":true},"expiryDate":{"type":"string","nullable":true},"isDefault":{"type":"boolean"},"isExpired":{"type":"boolean"},"autoPay":{"type":"boolean"},"schedulerEnabled":{"type":"boolean"}},"additionalProperties":false},"CreditCardInfoMultiResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"array","items":{"$ref":"#/components/schemas/CreditCardInfo"},"nullable":true},"pageNumber":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"PaymentFormAuthParam":{"type":"object","properties":{"platform":{"type":"string","nullable":true},"hostURL":{"type":"string","nullable":true},"language":{"type":"string","nullable":true},"paymentModeId":{"type":"string","format":"uuid"}},"additionalProperties":false},"StringSingleResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"string","nullable":true}},"additionalProperties":false},"Address":{"type":"object","properties":{"commonName":{"type":"string","nullable":true},"streetNumber":{"type":"string","nullable":true},"street":{"type":"string","nullable":true},"route":{"type":"string","nullable":true},"neighborhood":{"type":"string","nullable":true},"town":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"region":{"type":"string","nullable":true},"postalCode":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"stateCode":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"countryCode":{"type":"string","nullable":true}},"additionalProperties":false},"TenantActivityLocationInfo":{"type":"object","properties":{"address":{"$ref":"#/components/schemas/Address"},"timestamp":{"type":"integer","format":"int64"},"flag":{"type":"string","nullable":true},"formattedAddress":{"type":"string","nullable":true}},"additionalProperties":false},"PrimaryEventLogger":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"locationInfo":{"$ref":"#/components/schemas/TenantActivityLocationInfo"}},"additionalProperties":false},"DeleteCardRequest":{"type":"object","properties":{"paymentModeId":{"type":"string","format":"uuid"},"cardLastFour":{"type":"string","nullable":true}},"additionalProperties":false},"BooleanSingleResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"boolean"}},"additionalProperties":false},"MakeDefaultCardRequest":{"type":"object","properties":{"paymentModeId":{"type":"string","format":"uuid"},"userId":{"type":"string","format":"uuid"},"cardLastFour":{"type":"string","nullable":true}},"additionalProperties":false},"AutoPaymentActivationRequest":{"type":"object","additionalProperties":false},"LeadMasterAPIModel":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"leadSource":{"type":"string","nullable":true}},"additionalProperties":false},"LeadMasterAPIModelMultiResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"array","items":{"$ref":"#/components/schemas/LeadMasterAPIModel"},"nullable":true},"pageNumber":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"IdentityTypesSearchParam":{"type":"object","properties":{"activeStatus":{"type":"integer","format":"int32"},"visibility":{"type":"integer","format":"int32"}},"additionalProperties":false},"IdentityFieldsAPIModel":{"type":"object","properties":{"fieldId":{"type":"string","format":"uuid"},"fieldName":{"type":"string","nullable":true},"fieldType":{"type":"string","nullable":true}},"additionalProperties":false},"IdentityTypeAPIModel":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"identification":{"type":"string","nullable":true},"identityFields":{"type":"array","items":{"$ref":"#/components/schemas/IdentityFieldsAPIModel"},"nullable":true}},"additionalProperties":false},"IdentityTypeAPIModelMultiResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"array","items":{"$ref":"#/components/schemas/IdentityTypeAPIModel"},"nullable":true},"pageNumber":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"TermsAndConditionsAPIModel":{"type":"object","properties":{"conditionLabel":{"type":"string","nullable":true},"conditionLink":{"type":"string","nullable":true},"categoryId":{"type":"integer","format":"int32"}},"additionalProperties":false},"TermsAndConditionsAPIModelMultiResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"array","items":{"$ref":"#/components/schemas/TermsAndConditionsAPIModel"},"nullable":true},"pageNumber":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"SiteContactInformation":{"type":"object","properties":{"primaryContactName":{"type":"string","nullable":true},"phone":{"type":"string","nullable":true},"adminEmail":{"type":"string","nullable":true},"supportEmail":{"type":"string","nullable":true}},"additionalProperties":false},"AddressDetails":{"type":"object","properties":{"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zipCode":{"type":"string","nullable":true}},"additionalProperties":false},"SocialMedia":{"type":"object","properties":{"facebookLink":{"type":"string","nullable":true},"twitterLink":{"type":"string","nullable":true},"linkedinLink":{"type":"string","nullable":true}},"additionalProperties":false},"SiteDetailsReponse":{"type":"object","properties":{"businessName":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"logo":{"type":"string","nullable":true},"contactInformation":{"$ref":"#/components/schemas/SiteContactInformation"},"addressDetails":{"$ref":"#/components/schemas/AddressDetails"},"socialMedia":{"$ref":"#/components/schemas/SocialMedia"}},"additionalProperties":false},"SiteDetailsReponseSingleResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"$ref":"#/components/schemas/SiteDetailsReponse"}},"additionalProperties":false},"PaymentModesRequest":{"type":"object","properties":{"visibility":{"type":"integer","format":"int32"}},"additionalProperties":false},"PaymentModeResponse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"value":{"type":"string","nullable":true},"text":{"type":"string","nullable":true}},"additionalProperties":false},"PaymentModeResponseMultiResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"array","items":{"$ref":"#/components/schemas/PaymentModeResponse"},"nullable":true},"pageNumber":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"AnnouncementsResponse":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"announcement":{"type":"string","nullable":true},"createdDate":{"type":"string","nullable":true}},"additionalProperties":false},"AnnouncementsResponseMultiResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"array","items":{"$ref":"#/components/schemas/AnnouncementsResponse"},"nullable":true},"pageNumber":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"DiscountSearchRequest":{"type":"object","properties":{"discountType":{"type":"string","nullable":true},"visibility":{"type":"integer","format":"int32"}},"additionalProperties":false},"CustomKeyValuePair":{"type":"object","properties":{"id":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"StandardDiscountInfo":{"type":"object","properties":{"isPercentage":{"type":"boolean"},"discount":{"type":"string","nullable":true}},"additionalProperties":false},"CustomDiscountDetailsDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"month":{"type":"integer","format":"int32"},"isPercentage":{"type":"boolean"},"discount":{"type":"string","nullable":true}},"additionalProperties":false},"CustomDiscountInfo":{"type":"object","properties":{"customAdvanceType":{"type":"string","nullable":true},"payInAdvance":{"type":"integer","format":"int32"},"minimumStay":{"type":"integer","format":"int32"},"discountBreakup":{"type":"array","items":{"$ref":"#/components/schemas/CustomDiscountDetailsDto"},"nullable":true}},"additionalProperties":false},"PromotionalDiscountInfo":{"type":"object","properties":{"isStandardDiscount":{"type":"boolean"},"standardDiscount":{"$ref":"#/components/schemas/StandardDiscountInfo"},"customDiscount":{"$ref":"#/components/schemas/CustomDiscountInfo"},"promoCode":{"type":"string","nullable":true}},"additionalProperties":false},"UnitBasedDiscountInfo":{"type":"object","properties":{"isStandardDiscount":{"type":"boolean"},"standardDiscount":{"$ref":"#/components/schemas/StandardDiscountInfo"},"customDiscount":{"$ref":"#/components/schemas/CustomDiscountInfo"},"unitId":{"type":"string","format":"uuid"}},"additionalProperties":false},"DiscountInfoDto":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"discountCategory":{"type":"string","nullable":true},"storageType":{"$ref":"#/components/schemas/CustomKeyValuePair"},"location":{"$ref":"#/components/schemas/CustomKeyValuePair"},"invoicePeriod":{"$ref":"#/components/schemas/CustomKeyValuePair"},"tenantType":{"$ref":"#/components/schemas/CustomKeyValuePair"},"showOnline":{"type":"boolean"},"isRecurring":{"type":"boolean"},"startsOn":{"type":"string","nullable":true},"endsOn":{"type":"string","nullable":true},"promotionalDiscount":{"$ref":"#/components/schemas/PromotionalDiscountInfo"},"unitBasedDiscount":{"$ref":"#/components/schemas/UnitBasedDiscountInfo"}},"additionalProperties":false},"DiscountInfoDtoMultiResponse":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"returnCode":{"type":"string","nullable":true},"returnMessage":{"type":"string","nullable":true},"additionalResource":{"nullable":true},"errors":{"type":"array","items":{"type":"string"},"nullable":true},"result":{"type":"array","items":{"$ref":"#/components/schemas/DiscountInfoDto"},"nullable":true},"pageNumber":{"type":"integer","format":"int32"},"pageCount":{"type":"integer","format":"int32"},"totalCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"ContactPreferences":{"type":"object","properties":{"contactDate":{"type":"string","format":"date-time"},"contactPreference":{"type":"array","items":{"type":"string"},"nullable":true},"message":{"type":"string","nullable":true}},"additionalProperties":false},"LeadPreferedStorageDetails":{"type":"object","properties":{"storageTypeId":{"type":"string","format":"uuid"},"locationId":{"type":"string","format":"uuid"},"unitTypeId":{"type":"string","format":"uuid"}},"additionalProperties":false},"AddLeadRequest":{"required":["email"],"type":"object","properties":{"firstName":{"type":"string","nullable":true},"lastName":{"type":"string","nullable":true},"email":{"type":"string"},"mobile":{"type":"string","nullable":true},"address":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"zipCode":{"type":"string","nullable":true},"leadSource":{"type":"string","format":"uuid"},"contactPreferences":{"$ref":"#/components/schemas/ContactPreferences"},"preferredStorage":{"$ref":"#/components/schemas/LeadPreferedStorageDetails"}},"additionalProperties":false},"UnitRentInfoParamAPIModel":{"type":"object","properties":{"unitId":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"moveInDate":{"type":"string","format":"date-time"},"additionalMonths":{"type":"integer","format":"int32"},"recurringPeriodId":{"type":"integer","format":"int32"},"recurringTypeId":{"type":"integer","format":"int32"},"isBusinessUser":{"type":"boolean"}},"additionalProperties":false},"AmenityInfoAPIModel":{"type":"object","properties":{"amenityId":{"type":"string","format":"uuid"},"unitId":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"imageUrl":{"type":"string","nullable":true}},"additionalProperties":false},"SecurityGatesInfoAPIModel":{"type":"object","properties":{"hasGateAccess":{"type":"boolean"},"provider":{"$ref":"#/components/schemas/CustomKeyValuePair"},"hasTimeZone":{"type":"boolean"}},"additionalProperties":false},"StandardDiscount":{"type":"object","properties":{"isPercentage":{"type":"boolean"},"discount":{"type":"number","format":"double"}},"additionalProperties":false},"CustomDiscountDetails":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"month":{"type":"integer","format":"int32"},"isPercentage":{"type":"boolean"},"discount":{"type":"number","format":"double"}},"additionalProperties":false},"CustomDiscount":{"type":"object","properties":{"customAdvanceType":{"type":"string","nullable":true},"payInAdvance":{"type":"integer","format":"int32"},"minimumStay":{"type":"integer","format":"int32"},"discountBreakup":{"type":"array","items":{"$ref":"#/components/schemas/CustomDiscountDetails"},"nullable":true}},"additionalProperties":false},"PromotionalDiscount":{"type":"object","properties":{"isStandardDiscount":{"type":"boolean"},"standardDiscount":{"$ref":"#/components/schemas/StandardDiscount"},"customDiscount":{"$ref":"#/components/schemas/CustomDiscount"},"promoCode":{"type":"string","nullable":true}},"additionalProperties":false},"UnitBasedDiscount":{"type":"object","properties":{"isStandardDiscount":{"type":"boolean"},"standardDiscount":{"$ref":"#/components/schemas/StandardDiscount"},"customDiscount":{"$ref":"#/components/schemas/CustomDiscount"},"unitId":{"type":"string","format":"uuid"}},"additionalProperties":false},"Discounts":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"discountCategory":{"type":"string","nullable":true},"storageType":{"$ref":"#/components/schemas/CustomKeyValuePair"},"location":{"$ref":"#/components/schemas/CustomKeyValuePair"},"invoicePeriod":{"$ref":"#/components/schemas/CustomKeyValuePair"},"tenantType":{"$ref":"#/components/schemas/CustomKe
[...]
